<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:ops="utc.fr:ics/opale3/styler" xmlns:java="http://xml.apache.org/xslt/java" xmlns:stx="scenari.eu:styler.ext:1.0" xmlns:xalan="http://xml.apache.org/xalan" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" exclude-result-prefixes="ops stx sp " >
<xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vSrcNode"/>
<xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="gResolveFragsSet" select="java:java.util.HashSet.new()"/>
<xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="gDicUnitsSet" select="java:java.util.HashSet.new()"/>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:item">
<xsl:apply-templates/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:sunriseWForm">
<copyWspSrcNode refUri="/~data/BwSVOj6SN3i7fnrzcieaoj.doss"/>
<xsl:apply-templates/>
<xsl:for-each select="xalan:nodeset($gResolveFragsSet)">
<xsl:copy-of select="."/>
</xsl:for-each>
<xsl:variable name="vDicUnitsSetNS" select="xalan:nodeset($gDicUnitsSet)"/>
<localizer startIdentifier="§§" endIdentifier="§§">
<xsl:if test="count($vDicUnitsSetNS)">
<simpleDictionary>
<xsl:for-each select="$vDicUnitsSetNS">
<xsl:copy-of select="."/>
</xsl:for-each>
</simpleDictionary>
</xsl:if>
</localizer>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sp:propsBasic">
<xsl:variable name="vProps">
<xsl:apply-templates mode="mkProps"/>
</xsl:variable>
<xsl:if test="$vProps">
<xsl:variable name="vPropsNS" select="xalan:nodeset($vProps)"/>
<xsl:for-each select="$vPropsNS/*[@value or @defaultValue]">
<xsl:variable name="vValue">
<xsl:call-template name="tResolvePropertyValue">
<xsl:with-param name="pTargetFilePath" select="''"/>
<xsl:with-param name="pResourcesDirPath" select="''"/>
</xsl:call-template>
</xsl:variable>
<xsl:variable name="vUnitTag">
<unit source="{@key}" target="{$vValue}"/>
</xsl:variable>
<xsl:value-of select="execute(java:add($gDicUnitsSet, $vUnitTag))"/>
</xsl:for-each>
<xsl:for-each select="$vPropsNS/*[@key='backRoot'][1]">
<xsl:variable name="vValue">
<xsl:call-template name="tResolvePropertyValue">
<xsl:with-param name="pTargetFilePath" select="'img/tpl/back-root.png'"/>
<xsl:with-param name="pResourcesDirPath" select="''"/>
<xsl:with-param name="pIgnoreDefault" select="true()"/>
</xsl:call-template>
</xsl:variable>
<xsl:if test="@format='refItem' and not(isWhiteSpace($vValue))">
<copyWspSrcNode refUri="{@value};transform=facet&amp;facet=resolveRes" toPath="img/tpl/back-root.png" checkAutoMultiRes="true"/>
</xsl:if>
</xsl:for-each>
<xsl:for-each select="$vPropsNS/*[@key='favicon'][1]">
<xsl:variable name="vValue">
<xsl:call-template name="tResolvePropertyValue">
<xsl:with-param name="pTargetFilePath" select="'img/favicon.png'"/>
<xsl:with-param name="pResourcesDirPath" select="''"/>
<xsl:with-param name="pIgnoreDefault" select="true()"/>
</xsl:call-template>
</xsl:variable>
<xsl:if test="@format='refItem' and not(isWhiteSpace($vValue))">
<copyWspSrcNode refUri="{@value};transform=facet&amp;facet=resolveRes" toPath="img/favicon.png" checkAutoMultiRes="true"/>
</xsl:if>
</xsl:for-each>
</xsl:if>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="tResolvePropertyValue">
<xsl:param name="pTargetFilePath" select="'/file.dat'"/>
<xsl:param name="pResourcesDirPath" select="'/skres'"/>
<xsl:choose>
<xsl:when test="@format='refItem'">
<xsl:variable name="vResPathInSkin">
<xsl:choose>
<xsl:when test="not(isWhiteSpace(@value))">
<xsl:variable name="vSrcUri" select="srcFields(resolveSrcPath(@value), 'srcUri')"/>
<xsl:variable name="vDstPath" select="concat($pResourcesDirPath, '/', alphaHash($vSrcUri) , '_', extractFileNameFromPath($vSrcUri))"/>
<xsl:value-of select="$vDstPath"/>
<xsl:variable name="vResolveFrag">
<copyWspSrcNode refUri="{@value};transform=facet&amp;facet=resolveRes" toPath="{$vDstPath}" checkAutoMultiRes="true"/>
</xsl:variable>
<xsl:value-of select="execute(java:add($gResolveFragsSet, $vResolveFrag))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="@defaultValue"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:value-of select="java:com.scenari.src.feature.paths.SrcFeaturePaths.buildRelativePathBetween2Uri(        if(starts-with($pTargetFilePath, '/'), substring-after($pTargetFilePath, '/'),$pTargetFilePath),        true(),        if(starts-with($vResPathInSkin, '/'),  substring-after($vResPathInSkin, '/'), $vResPathInSkin))"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="returnFirst(@value, @defaultValue)"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

		<xsl:template match="text()" mode="mkProps"/><xsl:template match="*" mode="mkProps"><xsl:apply-templates mode="mkProps"/></xsl:template>
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:parameters/sp:favicon" mode="mkProps">
<property key="favicon" sgn="@favicon#global#parameters" format="refItem">
<xsl:attribute name="value">
<xsl:value-of select="@sc:refUri"/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:parameters/sp:fontStyle" mode="mkProps">
<property key="fontStyle" sgn="@fontStyle#global#parameters" defaultValue="sans-serif" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:parameters/sp:fontSize" mode="mkProps">
<property key="fontSize" sgn="@fontSize#global#parameters" defaultValue="0.9" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:parameters/sp:backRoot" mode="mkProps">
<property key="backRoot" sgn="@backRoot#global#parameters" format="refItem">
<xsl:attribute name="value">
<xsl:value-of select="@sc:refUri"/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:parameters/sp:borderRadius" mode="mkProps">
<property key="borderRadius" sgn="@borderRadius#global#parameters" defaultValue="0.3" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:home/sp:homeMarginLeft" mode="mkProps">
<property key="homeMarginLeft" sgn="@homeMarginLeft#global#home" defaultValue="15" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:home/sp:homeAlignButton" mode="mkProps">
<property key="homeAlignButton" sgn="@homeAlignButton#global#home" defaultValue="right" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			
			
				
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:nav/sp:accentDarkBGalpha" mode="mkProps">
<property key="accentDarkBGalpha" sgn="@accentDarkBGalpha#global#nav" defaultValue="#ff974b" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:nav/sp:accentDarkBG" mode="mkProps">
<property key="accentDarkBG" sgn="@accentDarkBG#global#nav" defaultValue="#e46000" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:nav/sp:accentDarkFG" mode="mkProps">
<property key="accentDarkFG" sgn="@accentDarkFG#global#nav" defaultValue="#FFFFFF" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:nav/sp:accentLightBG" mode="mkProps">
<property key="accentLightBG" sgn="@accentLightBG#global#nav" defaultValue="#ececec" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:nav/sp:accentLightFG" mode="mkProps">
<property key="accentLightFG" sgn="@accentLightFG#global#nav" defaultValue="#000000" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:content/sp:maxWidth" mode="mkProps">
<property key="maxWidth" sgn="@maxWidth#global#content" defaultValue="1260" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:content/sp:contentBG" mode="mkProps">
<property key="contentBG" sgn="@contentBG#global#content" defaultValue="#FFFFFF" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:content/sp:contentFG" mode="mkProps">
<property key="contentFG" sgn="@contentFG#global#content" defaultValue="#000000" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:content/sp:contentEmp" mode="mkProps">
<property key="contentEmp" sgn="@contentEmp#global#content" defaultValue="#B24A00" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:pBk/sp:pBkWarning" mode="mkProps">
<property key="pBkWarning" sgn="@pBkWarning#global#pBk" defaultValue="#dc291e" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:pBk/sp:pBkBasic" mode="mkProps">
<property key="pBkBasic" sgn="@pBkBasic#global#pBk" defaultValue="#9F590E" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:pBk/sp:pBkOthers" mode="mkProps">
<property key="pBkOthers" sgn="@pBkOthers#global#pBk" defaultValue="#484848" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:pBk/sp:contentPBkLabel" mode="mkProps">
<property key="contentPBkLabel" sgn="@contentPBkLabel#global#pBk" defaultValue="initial" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			
			
				<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:global/sp:footer/sp:footerFG" mode="mkProps">
<property key="footerFG" sgn="@footerFG#global#footer" defaultValue="#fff" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsFormW/sp:options" mode="mkProps">
<xsl:apply-templates mode="mkProps"/>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:binSize" mode="mkProps">
<property key="binSize" sgn="@binSize" defaultValue="630" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:binSizeInlineW" mode="mkProps">
<property key="binSizeInlineW" sgn="@binSizeInlineW" defaultValue="400" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:binSizeInlineH" mode="mkProps">
<property key="binSizeInlineH" sgn="@binSizeInlineH" defaultValue="100" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:binSizeTable" mode="mkProps">
<property key="binSizeTable" sgn="@binSizeTable" defaultValue="300" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:binSizeZoom" mode="mkProps">
<property key="binSizeZoom" sgn="@binSizeZoom" defaultValue="1200" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:logoSize" mode="mkProps">
<property key="logoSize" sgn="@logoSize" defaultValue="630" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:gallery/sp:binSizeGallerySmall" mode="mkProps">
<property key="binSizeGallerySmall" sgn="@binSizeGallerySmall#gallery" defaultValue="80" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:gallery/sp:binSizeGalleryMedium" mode="mkProps">
<property key="binSizeGalleryMedium" sgn="@binSizeGalleryMedium#gallery" defaultValue="180" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:gallery/sp:binSizeGalleryLarge" mode="mkProps">
<property key="binSizeGalleryLarge" sgn="@binSizeGalleryLarge#gallery" defaultValue="250" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
			<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:gallery/sp:binSizeGalleryZoom" mode="mkProps">
<property key="binSizeGalleryZoom" sgn="@binSizeGalleryZoom#gallery" defaultValue="2000" format="number">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
		<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:compBlockCollapsable" mode="mkProps">
<property key="compBlockCollapsable" sgn="@compBlockCollapsable" defaultValue="false" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:addTargetTitleToNavButtons" mode="mkProps">
<property key="addTargetTitleToNavButtons" sgn="@addTargetTitleToNavButtons" defaultValue="false" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:prefixExerciseTitle" mode="mkProps">
<property key="prefixExerciseTitle" sgn="@prefixExerciseTitle" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>
<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="ops:propsOptionsW/sp:metaRobots" mode="mkProps">
<property key="metaRobots" sgn="@metaRobots" format="string">
<xsl:attribute name="value">
<xsl:value-of select="."/>
</xsl:attribute>
</property>
</xsl:template>


<xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/>
</xsl:stylesheet>